Skip to main content
`Ctrl`+`K`

# DMAdaptorSetUp

After the solver is specified, creates data structures for controlling adaptivity

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetUp(DMAdaptor adaptor)

Collective

## Input Parameter

- adaptor - The `DMAdaptor` object

## See Also

DM Basics, `DMAdaptor`, `DMAdaptorCreate()`, `DMAdaptorAdapt()`

## Level

beginner

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages